Main Page Modules Class Hierarchy Alphabetical List Compound List File List Compound Members

# SoTypeList Class Reference
[General classes]

The SoTypeList class is a container class for arrays of SoType objects. More...

`#include <Inventor/lists/SoTypeList.h>`

Inheritance diagram for SoTypeList:

List of all members.

## Public Methods
| SoTypeList (void)
| SoTypeList (const int sizehint)
| SoTypeList (const SoTypeList &l)
void | append (const SoType type)
int | find (const SoType type) const
void | insert (const SoType type, const int insertbefore)
SoType | operator[] (const int idx) const
void | set (const int index, const SoType item)

## Detailed Description

The SoTypeList class is a container class for arrays of SoType objects.

See also:
  SbList

## Constructor & Destructor Documentation

SoTypeList::SoTypeList | ( | void |  | ) | `[inline]`

| Default constructor.

SoTypeList::SoTypeList | ( | const int | sizehint | ) | `[inline]`

| This constructor initializes the internal allocated size for the list to sizehint. Note that the list will still initially contain zero items. See also: SbList::SbList(const int sizehint)

SoTypeList::SoTypeList | ( | const SoTypeList & | l | ) | `[inline]`

| Copy constructor. See also: SbList::SbList(const SbList<Type> & l)

## Member Function Documentation

void SoTypeList::append | ( | const SoType | type | ) |

| Overridden from parent to accept an SoType argument.

int SoTypeList::find | ( | const SoType | type | ) | const

| Overridden from parent to accept an SoType argument.

void SoTypeList::insert | ( | const SoType | type,
|  | const int | insertbefore
| ) |

| Overridden from parent to accept an SoType argument.

SoType SoTypeList::operator[] | ( | const int | idx | ) | const

| Overridden from parent to return an SoType instance.. Reimplemented from SbPList.

void SoTypeList::set | ( | const int | index,
|  | const SoType | item
| ) |

| This method sets the element at index to item. Overridden to accept an SoType argument.

The documentation for this class was generated from the following files:

- SoTypeList.h
- SoTypeList.cpp